/*
** MUI Header
*/

#include <proto/exec.h>
#include <proto/utility.h>
#include <proto/intuition.h>
#include <proto/muimaster.h>
#include <libraries/mui.h>
#include <clib/alib_protos.h>

#ifndef PALPA_MUI_H
#define PALPA_MUI_H

#define MAKE_ID(a,b,c,d) ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#define REG(x) register __ ## x
#define MUIF __saveds ULONG __asm

#define TOMENUTEXT(TXT) ( (char *)(((unsigned long)TXT)+2L) )

ULONG __stdargs DoSuperNew(struct IClass *cl,Object *obj,ULONG tag1,...);

typedef struct muimsg_struct {
	ULONG MethodID;
	ULONG *arg1;
	ULONG *arg2;
	ULONG *arg3;
	ULONG *arg4;
} *muimsg;


#endif	/* PALPA_MUI_H */
