/*
** Preferences Header
*/

#include <sys/types.h>

#include "mui.h"

#ifndef AMSTER_PREFS_H
#define AMSTER_PREFS_H

extern char *pref_mainserver;
extern char *pref_server;
extern char *pref_napvers;
extern char *pref_user;
extern char *pref_pass;
extern char *pref_dlpath;
extern char *pref_email;
extern int pref_regflag;
extern int pref_link;
extern int pref_clrlist;
extern int pref_fullpath;
extern int pref_autocon;

struct prfdata {
	u_long *idstr,*pwstr,*pathstr,*links;
	u_long *clrtog;
	u_long *msstr,*sstr,*vstr;
	u_long *emailstr,*autotog,*fptog;
};

MUIF prf_dispatch(REG(a0) struct IClass *cl,REG(a2) Object *obj,REG(a1) Msg msg);

#define PRF_OPEN 0x2001
#define PRF_CANCEL 0x2002
#define PRF_USE 0x2003
#define PRF_SAVE 0x2004
#define PRF_UPDATE 0x2005

extern void prf_load(void);
extern void prf_save(void);



#endif	/* AMSTER_PREFS_H */
