/*
** Download Header
*/

#include <sys/types.h>
#include <libraries/dos.h>

typedef struct dldata_struct {
	struct dldata_struct *next;
	int abort;
	long sock;
	u_long ip;
	int state;
	unsigned long size,cur;
	unsigned long *window;
	BPTR f;
	char title[256];
	char user[20];
	char info[1024];
} *dldata, _dldata;

struct dl_data {
	dldata song;
	unsigned long *stat,*but,*lvl,*sz;
};

extern dldata dl_list;

#define DL_SONG 0x1001
#define DL_ABORT 0x1002
#define DL_CLOSE 0x1042
#define DL_UPDATE 0x1003
#define DL_STAT 0x1004
#define DL_GAUGE 0x1005

void dl_addq(songdata sd);
void dl_startq(char *title, char *user, u_long ip, int port);
dldata dl_find(char *title, char *user);
void dl_pollall(void);
int dl_flush(void);
